# XSNotationDeclaration Class Reference

Inheritance diagram for XSNotationDeclaration:

List of all members.

## Public Member Functions

Constructors
| XSNotationDeclaration (XMLNotationDecl *const xmlNotationDecl, XSAnnotation *const annot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~XSNotationDeclaration ()
overridden XSXSObject methods
const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces.
const XMLCh * | getNamespace ()
| The [target namespace] of this object, or `null` if it is unspecified.
XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.
XSNotationDeclaration methods
const XMLCh * | getSystemId ()
| The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.
const XMLCh * | getPublicId ()
| The string representing the public identifier for this notation declaration, if present; `null` otherwise.
XSAnnotation * | getAnnotation () const
| Optional.

## Protected Attributes

XMLNotationDecl * | fXMLNotationDecl
XSAnnotation * | fAnnotation

## Constructor & Destructor Documentation

XSNotationDeclaration::XSNotationDeclaration | ( | XMLNotationDecl *const | xmlNotationDecl,
|  | XSAnnotation *const | annot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` |
| ) |  |  |

The default constructor.

Parameters:

  | xmlNotationDecl |
  | annot |
  | xsModel |
  | manager | The configurable memory manager

XSNotationDeclaration::~XSNotationDeclaration | ( |  | ) |

## Member Function Documentation

const XMLCh* XSNotationDeclaration::getName | ( |  | ) | const`[virtual]`

The name of type `NCName` of this declaration as defined in XML Namespaces.

Reimplemented from XSObject.

const XMLCh* XSNotationDeclaration::getNamespace | ( |  | ) | `[virtual]`

The [target namespace] of this object, or `null` if it is unspecified.

Reimplemented from XSObject.

XSNamespaceItem* XSNotationDeclaration::getNamespaceItem | ( |  | ) | `[virtual]`

A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise.

Reimplemented from XSObject.

const XMLCh* XSNotationDeclaration::getSystemId | ( |  | ) |

The URI reference representing the system identifier for the notation declaration, if present, `null` otherwise.

const XMLCh* XSNotationDeclaration::getPublicId | ( |  | ) |

The string representing the public identifier for this notation declaration, if present; `null` otherwise.

XSAnnotation * XSNotationDeclaration::getAnnotation | ( |  | ) | const

Optional.

An [annotation].

References fAnnotation.

## Member Data Documentation

XMLNotationDecl* XSNotationDeclaration::fXMLNotationDecl`[protected]`

XSAnnotation* XSNotationDeclaration::fAnnotation`[protected]`

Referenced by getAnnotation().

The documentation for this class was generated from the following file:

- XSNotationDeclaration.hpp